%define name    gerbv
%define version 1.0.0
%define release 1mdk

# Macros for in the menu-file.
%define section Office/Drawing
%define title   Gerbv

%define Summary GPL gerber files viewer

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Office
URL:            http://gerbv.sourceforge.net
Packager:       Tanju TASCILAR <tanju@elektronist.com>

Source0:        %name-%version.tar.bz2
Source1:        %name-icons.tar.bz2
Patch0:		%name.patch.tar.bz2

BuildRoot:      %_tmppath/%name-buildroot

BuildRequires:	gtk+2-devel
Requires:       gtk+2

%description
Gerber Viewer (gerbv) is a viewer for Gerber files. Gerber files
are generated from PCB CAD system and sent to PCB manufacturers
as basis for the manufacturing process. 


%prep
%setup -q
%setup -q -T -D -a1 # unpack icons
%patch0 -p1 -b .patch

%build
%configure
%make


%install
rm -rf %buildroot
%makeinstall

#mkdir $RPM_BUILD_ROOT/%_datadir/%name
#mkdir $RPM_BUILD_ROOT/%_datadir/%name/scheme
#cp src/init.scm $RPM_BUILD_ROOT/%_datadir/%name/scheme/

%__install -D -m 755 src/init.scm %buildroot/%_datadir/%name/scheme/init.scm


# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="Office/Drawing" \
title="%title" \
longtitle="%Summary"
EOF

# icon
%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

# Macro for locales
# If your rpm does not need this you can remove it.  Also change
# ``%files -f %name.lang'' to ``%files'' below.
%find_lang %name

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf %buildroot

%files -f %name.lang

%defattr(0755, root, root, 0755)
%_bindir/*
%defattr(0644, root, root, 0755)

%doc COPYING README INSTALL AUTHORS

%_menudir/*

%_miconsdir/*
%_iconsdir/*
%_liconsdir/*
%_mandir/man1/*
%_datadir/%name/*


%changelog

* Tue May 25 2004  Stefan Petersen  <spe@stacken.kth.se> 1.0.0-1mdk

- src/draw_amacro.c: Now aperture macros handles exposures properly,
  so some thermals can be drawn properly. Inspired by discussion with
  Dimitri.


* Wed May 19 2004  Stefan Petersen  <spe@stacken.kth.se>

- man/gerbv.1.in, src/Makefile.am, src/drill.c, src/gerbv.c, 
  src/tooltable.c, src/tooltable.h: Patch from Dimitri 
  (lastname unknown) to read tool files from for instance Eagle CAD.

* Tue Apr 27 2004  Stefan Petersen  <spe@stacken.kth.se>

- configure.in, src/drill.c: Patch from Tomasz Motylewski as a start
  remove dependencies on mmap et al (sys/mman.h) for targets lacking
  these operations (mingw).

* Wed Apr 21 2004  Stefan Petersen  <spe@stacken.kth.se>

- src/gerbv.c: Added keys f for fit, z for zoom in and Z for zoom out
  after request from Stefan Thiede.

* Sun Apr 04 2004  Stefan Petersen  <spe@stacken.kth.se>

- src/gerb_file.[hc], src/drill.c, src/amacro.c, gerber.c:
  Changed gerb_fgetint() so it can return number of parsed characters.
  This is useful when parsing coordinates in omit trailing zeros mode.
  Omit trailing zeros is also handled properly now. Reported by Joachim
  Jansen and filed as bug #918344.
	
* Tue Feb 24 2004  Stefan Petersen  <spe@stacken.kth.se>

- src/gerbv.c: Apperently under GTK2 both delete_event and destroy
  signals is emitted when you press the little cross in the 
  decoration bar. When both signals were emitted gerbv tried to free
  the same memory twice.

* Sat Feb 14 2004  Stefan Petersen  <spe@stacken.kth.se>

- src/Makefile.am: Making sure init.scm is copied to the right 
  place at install.

* Fri Feb 13 2004  Stefan Petersen  <spe@stacken.kth.se>

- src/gerber.c: The good old circles revisited. This time Dan
  noticed that circles with the same start and end point did not 
  draw properly ie as circles. It became points.

* Sun Feb 08 2004  Stefan Petersen  <spe@stacken.kth.se>

- configure.in: Apperently auto* doesn't define $prefix if you
  don't set it in your script. The autotools has become more and
  more of a moving target...

- man/gerbv.1.in: A bunch of updates, mainly reflecting the new
  features.

* Sat Feb 07 2004  Stefan Petersen  <spe@stacken.kth.se>

- src/gerbv.c: Save screen.path even when we load a project file.

- src/gerbv.c: Fixed a segmentation fault when I tried to free
  an optarg:ed variable.

* Thu Feb 05 2004  Stefan Petersen  <spe@stacken.kth.se>

- src/gerbv.c: Dan strikes again. Option -p (with appropriate 
  error message) added as an alternative to --project.

* Sun Feb 01 2004  Stefan Petersen  <spe@stacken.kth.se>

- src/gerbv.c: Patch from Dan causes the "save as..." dialog box 
  to come up if you try to do a "save" with no current project 
  file name.
- src/gerbv.c: Yet another patch from Dan to put project filename
  in title of window.
